<div class="full-container">
    <div class="right-content">
        <h3>Create new service</h3>
        <form [formGroup]="serviceFG">
            <mat-form-field>
                <input matInput placeholder="Name" formControlName="name">
            </mat-form-field>
            <mat-form-field>
                <input matInput placeholder="Label key" formControlName="labelKey">
            </mat-form-field>
            <mat-form-field>
                <input matInput placeholder="Label value" formControlName="labelValue">
            </mat-form-field>
            <mat-form-field>
                <input matInput placeholder="Type" formControlName="type">
            </mat-form-field>
            <div class="ports" formArrayName="ports">
                <div *ngFor="let port of ports.controls; let i=index">
                    <h3>Port {{i}}</h3>
                    <div [formGroupName]="i">
                        <mat-form-field>
                            <input matInput placeholder="Name" formControlName="name">
                        </mat-form-field>
                        <mat-form-field>
                            <input matInput placeholder="Port" formControlName="port">
                        </mat-form-field>
                        <mat-form-field>
                            <input matInput placeholder="Node port" formControlName="nodePort">
                        </mat-form-field>
                        <mat-form-field>
                            <input matInput placeholder="Protocol" formControlName="protocol">
                        </mat-form-field>
                    </div>
                </div>
            </div>
            <button mat-button color="primary" type="button" (click)="addPort()">Add port</button>
            <button mat-button color="primary" (click)="save()">Create</button>
        </form>
    </div>
</div>